%define upstream_name 	 Geo-IP
%define upstream_version 1.51

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Look up country by IP Address
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Geo/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
BuildRequires: pkgconfig(geoip)
%{?perl_default_filter}

%description
This module uses a file based database. This database simply contains
IP blocks as keys, and countries as values. This database should be
more complete and accurate than reverse DNS lookups.
This module can be used to automatically select the geographically
closest mirror, to analyze your web server logs to determine the
countries of your visitors, for credit card fraud detection, and for
software export controls.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml example
%{perl_vendorarch}/Geo
%{perl_vendorarch}/auto/Geo
%{_mandir}/*/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 1.510.0-9.mga9
+ Revision: 1861907
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.510.0-8.mga9
+ Revision: 1795782
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.510.0-7.mga9
+ Revision: 1726703
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.510.0-6.mga8
+ Revision: 1594800
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.510.0-5.mga8
+ Revision: 1529012
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 1.510.0-4.mga8
+ Revision: 1432904
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.510.0-3.mga7
+ Revision: 1292945
- Mageia 7 Mass Rebuild

* Mon Aug 06 2018 shlomif <shlomif> 1.510.0-2.mga7
+ Revision: 1248142
- Rebuild for new perl 5.28.0

* Thu Oct 12 2017 tv <tv> 1.510.0-1.mga7
+ Revision: 1171198
- update to 1.51

* Mon Oct 02 2017 tv <tv> 1.500.0-3.mga7
+ Revision: 1164493
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.500.0-2.mga7
+ Revision: 1149629
- Rebuild for perl ABI changes

* Mon Jul 31 2017 sander85 <sander85> 1.500.0-1.mga7
+ Revision: 1132955
- update to 1.50

* Sat Jul 22 2017 neoclust <neoclust> 1.450.0-5.mga7
+ Revision: 1127428
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.450.0-4.mga6
+ Revision: 1027758
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.450.0-3.mga6
+ Revision: 957349
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.450.0-2.mga6
+ Revision: 844875
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.450.0-1.mga6
+ Revision: 840975
- New version 1.45 + Rebuild for the new perl

* Sat Oct 18 2014 umeabot <umeabot> 1.430.0-6.mga5
+ Revision: 787993
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.430.0-5.mga5
+ Revision: 741238
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.430.0-4.mga5
+ Revision: 732184
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.430.0-3.mga5
+ Revision: 684840
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.430.0-2.mga5
+ Revision: 631209
- Rebuild for perl 5.20

* Sat Feb 08 2014 sander85 <sander85> 1.430.0-1.mga5
+ Revision: 586373
- update to 1.43

* Sat Oct 19 2013 umeabot <umeabot> 1.420.0-2.mga4
+ Revision: 527665
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.420.0-1.mga4
+ Revision: 441578
- update to 1.42

* Wed May 29 2013 jquelin <jquelin> 1.400.0-5.mga4
+ Revision: 430700
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.400.0-4.mga4
+ Revision: 430122
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.400.0-3.mga3
+ Revision: 367632
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.400.0-2.mga3
+ Revision: 250644
- rebuild for perl 5.16
- update to 1.40
+ ahmad <ahmad>
- Replace libgeoip-devel with geoip-devel

* Fri Jun 17 2011 jquelin <jquelin> 1.390.0-1.mga2
+ Revision: 108843
- update to 1.39

* Sun Jun 12 2011 sander85 <sander85> 1.380.0-3.mga2
+ Revision: 104311
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.380.0-2.mga1
+ Revision: 30448
- mageia rebuild
- imported package perl-Geo-IP


* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.380.0-2mdv2011.0
+ Revision: 555385
- rebuild

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.380.0-1mdv2010.0
+ Revision: 403196
- rebuild using %%perl_convert_version

* Wed May 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.38-1mdv2010.0
+ Revision: 377829
- update to new version 1.38

* Sun Mar 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.37-1mdv2009.1
+ Revision: 352912
- update to new version 1.37

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.36-1mdv2009.1
+ Revision: 320431
- update to new version 1.36

* Mon Oct 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.35-1mdv2009.1
+ Revision: 295505
- update to new version 1.35

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.34-1mdv2009.0
+ Revision: 270508
- new version

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.31-2mdv2009.0
+ Revision: 268515
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.31-1mdv2009.0
+ Revision: 194854
- update to new version 1.31
- update to new version 1.31

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.30-2mdv2008.1
+ Revision: 152086
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.30-1mdv2008.1
+ Revision: 121643
- update to new version 1.30

* Sat Jul 07 2007 Funda Wang <fwang@mandriva.org> 1.28-1mdv2008.0
+ Revision: 49309
- New version


* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.27-1mdk
- New release 1.27
- CPAN url

* Thu Jul 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.26-1mdk
- 1.26

* Thu Feb 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.25-1mdk
- 1.25

* Thu Nov 18 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.23-1mdk
- New release 1.23
- Fix vendorarch dirs in spec; add tests

* Mon Sep 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.22-1mdk
- New release 1.22

* Mon Nov 10 2003 Götz Waschk <waschk@linux-mandrake.com> 1.21-2mdk
- fix buildrequires

* Mon Sep 22 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.21-1mdk
- needed by w3perl

